diff --git a/src/common/gui/CModulationSourceButton.cpp b/src/common/gui/CModulationSourceButton.cpp
index a8d1072df..9f3356608 100644
--- a/src/common/gui/CModulationSourceButton.cpp
+++ b/src/common/gui/CModulationSourceButton.cpp
@@ -345,6 +345,9 @@ double CModulationSourceButton::getMouseDeltaScaling(CPoint& where, const CButto
 
 bool CModulationSourceButton::onWheel(const VSTGUI::CPoint& where, const float &distance, const VSTGUI::CButtonState& buttons)
 {
+    if( ! is_metacontroller )
+        return false;
+    
     auto rate = 1.f;
 
 #if WINDOWS
diff --git a/src/common/gui/CStatusPanel.cpp b/src/common/gui/CStatusPanel.cpp
index e381c70fb..5f192ac9c 100644
--- a/src/common/gui/CStatusPanel.cpp
+++ b/src/common/gui/CStatusPanel.cpp
@@ -40,6 +40,7 @@ void CStatusPanel::draw( VSTGUI::CDrawContext *dc )
            hlbg = false;
        }
 
+       dc->setDrawMode(VSTGUI::kAntiAliasing);
        dc->setFrameColor(bg);;
        auto p = dc->createRoundRectGraphicsPath(CRect(xp,yp,xp+w,yp+h), 5 );
        dc->setFillColor(bg);;
@@ -58,7 +59,7 @@ void CStatusPanel::draw( VSTGUI::CDrawContext *dc )
        dc->setFont(displayFont);
        auto sw = dc->getStringWidth(labs[i].c_str());
        dc->setFontColor(fg);
-       dc->drawString(labs[i].c_str(), CPoint( xp + w/2 - sw/2, yp + h - 2 ), true );
+       dc->drawString(labs[i].c_str(), CPoint( xp + w/2 - sw/2, yp + h - 3 ), true );
    }
 }
 
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index b263a1c3e..4587f41a2 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -792,7 +792,7 @@ void SurgeGUIEditor::openOrRecreateEditor()
    mp_patch->setUsesMouseWheel(false);// mousewheel on category and patch buttons is undesirable                                
    frame->addView(mp_patch);
 
-   CHSwitch2* b_store = new CHSwitch2(CRect(547 - 37, 41, 591, 41 + 12), this, tag_store, 1, 12, 1,
+   CHSwitch2* b_store = new CHSwitch2(CRect(547 - 37, 41, 547, 41 + 12), this, tag_store, 1, 12, 1,
                                       1, bitmapStore->getBitmap(IDB_BUTTON_STORE), nopoint, false);
    frame->addView(b_store);
 
@@ -2662,7 +2662,7 @@ void SurgeGUIEditor::toggleTuning()
     }
 
     if( statuspanel )
-        ((CStatusPanel *)statuspanel)->setDisplayFeature(CStatusPanel::tuningMode, this->synth->storage.isStandardTuning );
+        ((CStatusPanel *)statuspanel)->setDisplayFeature(CStatusPanel::tuningMode, !this->synth->storage.isStandardTuning );
 }
 void SurgeGUIEditor::showTuningMenu(VSTGUI::CPoint &where)
 {
